CLASS XSI_KEY(3)

NAME
boost::interprocess::xsi_key

SYNOPSIS

// In header: <boost/interprocess/xsi_key.hpp>
class xsi_key {
public:
  // construct/copy/destruct
  xsi_key();
  xsi_key(const char *, boost::uint8_t);
  // public member functions
  key_t get_key() const;
  key_t m_key;  // @ private:
};

DESCRIPTION

A class that wraps XSI (System V) key_t type. This type calculates key_t from path and id using ftok or sets key to IPC_PRIVATE using the default constructor.

  xsi_key public construct/copy/destruct

    1.

    xsi_key();

    Default constructor. Represents a private xsi_key.

    2.

    xsi_key(const char * path, boost::uint8_t id);

    Creates a new XSI shared memory with a key obtained from a call to ftok (with path "path" and id "id"), of size "size" and permissions "perm". If the shared memory previously exists, throws an error.

  xsi_key public member functions

    1.

    key_t get_key() const;
    Returns the internal key_t value. .RE